[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[minion-cvs] Initial import of debian stuff



Update of /home/minion/cvsroot/src/minion/debian
In directory moria.mit.edu:/tmp/cvs-serv24493

Added Files:
	README.Debian README.patches TODO changelog control copyright 
	mixminion.default mixminion.dirs mixminion.docs mixminion.init 
	mixminion.postinst mixminion.postrm rules 
Log Message:
Initial import of debian stuff

--- NEW FILE: README.Debian ---
Mixminion for Debian
--------------------

If you only want to use the network, not offer any services, no configuration
should be necessary.

However, if you want to run a node in the type III remailer network, configure
the files in /etc/mixminion and /etc/defaults/mixminion.


This is a testing alpha release.  You will probably only want to use it if
you are technically inclined, curious, and interested in helping the
Mixminion development effort.

WARNING!  Do NOT use this release if you require strong anonymity.  It has
known deficiencies, including some that make it possible for an adversary
to trace your message through the system.


 -- Peter Palfrader <weasel@debian.org>, Sat,  8 Nov 2003 11:05:38 +0100

--- NEW FILE: README.patches ---
000 -     stolen from HEAD
100 - 199 patches that upstream accepted
200 - 399 patches that should go upstream
400 - 499 patches that upstream rejected, but that we want anyway
500 - 899 debian specific patches
900 - 999 security patches

--- NEW FILE: TODO ---
(This appears to be a binary file; contents omitted.)

--- NEW FILE: changelog ---
mixminion (0.0.5+0.0.6.cvs) unreleased; urgency=low

  * Initial Release.

 -- Peter Palfrader <weasel@debian.org>  Sat,  8 Nov 2003 11:07:43 +0100


--- NEW FILE: control ---
Source: mixminion
Section: misc
Priority: optional
Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 4.1.65), libssl-dev (>=0.9.7), python2.3, python2.3-dev, dpatch
Standards-Version: 3.6.0

Package: mixminion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Anonymous remailer client and server for the Type III network
 Mixminion is the standard implementation of the Type III anonymous remailer
 protocol, which lets you send very anonymous email.  This best-of-breed
 remailer uses conservative design approaches to provide security against most
 known attacks.
 .
 The latest information can be found at http://mixminion.net/, or on the
 mailing list, archived at http://archives.seul.org/mixminion/dev/.
 .
 This is a testing alpha release.  You will probably only want to use it if
 you are technically inclined, curious, and interested in helping the
 Mixminion development effort.
 .
 WARNING!  Do NOT use this release if you require strong anonymity.  It has
 known deficiencies, including some that make it possible for an adversary
 to trace your message through the system.

--- NEW FILE: copyright ---
This package was debianized by Peter Palfrader <weasel@debian.org> on
Sat,  8 Nov 2003 11:05:38 +0100.

It was downloaded from http://www.mixminion.net/

Upstream Authors: Nick Mathewson <nickm@freehaven.net>

Copyright: 2002-2003 Nick Mathewson <nickm@freehaven.net>

Mixminion is licensed under the GNU Lesser General Public License 2.1 with the
ammendment given below.  On a Debian system the full text of the LGPL can be
found in /usr/share/common-licenses/LGPL-2.1

Because of the advertising clause of its license, OpenSSL is not
compatible with the GPL.  Thus, we license Mixminion under an amended LGPL:
we explicitly authorize you to treat OpenSSL as a "System Library" for the
purposes of GPL/LGPL compliance.  You may also use Mixminion under an
unamended LGPL; however, if you do so, you may not be able to link it with
OpenSSL.

Future versions of Mixminion may be able to run with NSS or GnuTLS instead of
OpenSSL, thus making this amendment unnecessary.  Patches are welcome.

--- NEW FILE: mixminion.default ---
# Defaults for mixminion initscript
# sourced by /etc/init.d/mixminion
# installed at /etc/default/mixminion by the maintainer scripts

#
# This is a POSIX shell fragment
#

# Whether or not to run a Type III node.
# Configure /etc/mixminion/mixminiond.conf before setting this to yes.
RUN_DAEMON="no"

--- NEW FILE: mixminion.dirs ---
etc/mixminion
var/run/mixminion
var/lib/mixminion
var/log/mixminion
var/spool/mixminion

--- NEW FILE: mixminion.docs ---
README
TODO
HACKING
ACKS

--- NEW FILE: mixminion.init ---
#! /bin/sh

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/mixminion
NAME=mixminion
DESC="mixminion daemon"

test -x $DAEMON || exit 0

# Include mixminion defaults if available
if [ -f /etc/default/mixminion ] ; then
	. /etc/default/mixminion
fi

set -e

case "$1" in
  start)
	if [ "$RUN_DAEMON" != "yes" ]; then
		echo "Not starting $DESC (Disabled in /etc/default/mixminion)."
	else
		echo -n "Starting $DESC: "
		start-stop-daemon --start --quiet --oknodo \
			--chuid debian-mixminion:debian-mixminion \
			--pidfile /var/run/$NAME/mixminion.pid \
			--exec /usr/bin/python2.3 -- /usr/bin/mixminion server-start --daemon --quiet
		echo "$NAME."
	fi
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/$NAME/mixminion.pid \
		--exec /usr/bin/python2.3 -- /usr/bin/mixminion
	echo "$NAME."
	;;
  reload|force-reload)
	echo "Reloading $DESC configuration."
	start-stop-daemon --stop --signal 1 --oknodo --quiet --pidfile /var/run/$NAME/mixminion.pid \
		--exec /usr/bin/python2.3 -- /usr/bin/mixminion
	;;
  restart)
	$0 stop
	sleep 1
	$0 start
	;;
  *)
	echo "Usage: $0 {start|stop|restart|reload|force-reload}" >&2
	exit 1
	;;
esac

exit 0

--- NEW FILE: mixminion.postinst ---
#!/bin/sh -e

# checking debian-mixminion account

uid=`getent passwd debian-mixminion | cut -d ":" -f 3`
home=`getent passwd debian-mixminion | cut -d ":" -f 6`

# if there is the uid the account is there and we can do
# the sanit(ar)y checks otherwise we can safely create it.

if [ "$uid" ]; then
    # guess??? the checks!!!
    if [ $uid -ge 100 ] && [ $uid -le 999 ]; then
    	echo "debian-mixminion uid check: ok"
    else
    	echo "ERROR: debian-mixminion account has a non-system uid!"
	echo "Please check /usr/share/doc/mixminion/README.Debian on how to"
	echo "correct this problem"
	exit 1
    fi
    if [ "$home" = "/var/lib/mixminion" ]; then
        echo "debian-mixminion homedir check: ok"
    else
	echo "ERROR: debian-mixminion account has an invalid home directory!"
	echo "Please check /usr/share/doc/mixminion/README.Debian on how to"
	echo "correct this problem"
	exit 1
    fi
else
    # what this might mean?? oh creating a system l^Huser!
    adduser --quiet \
            --system \
            --disabled-password \
            --home /var/lib/mixminion \
	    --no-create-home \
	    --shell /bin/bash \
	    --group \
    debian-mixminion
fi

# ch{owning,moding} things around
# We will do nothing across upgrades.

if [ "$2" = "" ]; then
    for i in lib log run spool; do
	chown -R debian-mixminion:debian-mixminion /var/$i/mixminion
	chmod -R 700 /var/$i/mixminion
	find /var/$i/mixminion -type f -exec chmod 600 '{}' ';'
    done
fi

#DEBHELPER#

exit 0

--- NEW FILE: mixminion.postrm ---
#!/bin/sh -e

if [ "$1" = "purge" ]; then
    # logs has to be removed according to policy.
    # not sure about spool/lib stuff
    rm -rf /var/log/mixminion/
    rm -rf /var/lib/mixminion/
    rm -rf /var/spool/mixminion/
fi

#DEBHELPER#

exit 0

--- NEW FILE: rules ---
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_COMPAT=4
export PYTHON=python2.3
export PACKAGE=mixminion

include /usr/share/dpatch/dpatch.make

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE=0
else
	OPTIMIZE=1
endif

ifneq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
	RUNUNITTESTS=0
else
	RUNUNITTESTS=1
endif

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	#$(MAKE)
	$(PYTHON) -tt setup.py build

	@echo
	@echo Running unit tests.
	@echo
	@if [ $(RUNUNITTESTS) -gt 0 ]; then \
		$(PYTHON) -tt setup.py run --subcommand=unittests; \
	else \
		echo "Skipping."; \
	fi
	@echo

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#$(MAKE) install PREFIX=$(CURDIR)/debian/mixminion/usr
	$(PYTHON) setup.py install --optimize=$(OPTIMIZE) --force --root=$(CURDIR)/debian/mixminion
	install -m 644 etc/mixminiond.conf $(CURDIR)/debian/mixminion/etc/mixminion
	install -m 644 etc/blacklist.conf $(CURDIR)/debian/mixminion/etc/mixminion


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python -V 2.3
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install